List publishing connectors
View as MarkdownGET
/v1/connectorsDestinations documents can be published to, with their auth methods, the settings a connection needs and the config a publication takes (JSON Schema), and what they can do.
docs:readRead-only
curl "https://api.lydie.co/v1/connectors" \
-H "Authorization: Bearer $LYDIE_TOKEN"Response
- connectorsConnectorInfo[]
Show 7 fieldsHide fields
- idstring
- namestring
- descriptionstring
- authobject[]
- settingsSchemaobject
- configSchemaobject
- capabilitiesobject
{
"connectors": [
{
"id": "string",
"name": "Notes",
"description": "string",
"auth": [
{
"type": "token",
"label": null,
"fields": null,
"available": null
}
],
"settingsSchema": {},
"configSchema": {},
"capabilities": {
"format": "markdown",
"remoteState": false,
"pull": false,
"conflicts": "pullRequest",
"assets": "files",
"unpublish": "delete",
"drafts": false,
"schedule": false
}
}
]
}Errors use one envelope for every endpoint. See Errors and versions.